code segment public 'code'
                assume  cs:code, ds:code, ss:code

                ;
                ;       Externals from IO.ASM
                ;
                extrn   PrintString: near, PrintChar: Near, PrintCrLf: near
                extrn   KeyPressed: near, ReadKey: near, FlushBuffer: near
                extrn   InitSerial: near

Main:           call    InitSerial
Repeat:         call    KeyPressed
                jnz     Input
                mov     ah,1
                int     16h
                jz      Repeat
                mov     ah,0
                int     16h
                cmp     ax,2d00h
                je      Exit
                cmp     al,0
                je      Repeat
                call    PrintChar
                jmp     Repeat

Input:          call    Readkey
                mov     ah,0eh
                mov     bx,7
                int     10h
                jmp     Repeat

Exit:           mov     ax,4c00h
                int     21h

code ends

end Main
